/*****************************/
/*** Video de présentation ***/
/*****************************/
#video{
	margin : 0;
	padding : 0;
	display : flex;
	flex-direction : column;
	justify-content : center;
	align-items : center;
}

.video-container{
	max-width : 60rem;
	display : flex;
	align-items : center;
	justify-content : center;
	position : relative;
	margin : auto;
	padding: 20px;
    text-align: center;
}

.video-container video, .video-container .thumbnail {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.thumbnail img{
	object-fit : cover;
	width : 100%;
	height : 100%;
}

.thumbnail {
    position: absolute;
    top: 0;
    left: 0;
    cursor: pointer;
}

.play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80px;
    height: 80px;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.play-button::after {
    content: "";
    width: 0;
    height: 0;
    border-top: 15px solid transparent;
    border-bottom: 15px solid transparent;
    border-left: 25px solid #000;
}

.video-text{
	display : flex;
	align-items : center;
	justify-content : center;
}

.video-text h1{
	font-size : 3rem;
	font-weight : bold;
}

@media screen and (max-width : 768px){
	.video-text h1{
		font-size : 1.5rem;
	}
}

.trailer{
	width : 100%;
	border : none;
	outline : none;
}

/***********************/
/*** Carte du Cartel ***/
/***********************/
#carte_cartel{
	width : 100%;
	margin : 0;
	padding : 0;
	display : flex;
	align-items : center;
	justify-content : center;
	flex-direction: column;
}

.carte-cartel-text{
	padding : 0;
	margin : 0;
	display : flex;
	align-items: center;
	justify-content: center;
}

.carte-cartel-text h1{
	font-size : 3rem;
	font-weight : bold;
}

@media screen and (max-width : 768px){
	.carte-cartel-text h1{
		font-size : 1.5rem;
	}
}


.carte-cartel-display{
	width : 100%;
	padding : 0;
	margin : 0;
	display : flex;
	align-items : center;
	justify-content : center;

}

.carte-cartel-display iframe{
	width : 70%;
	height : 600px;
	border : none;
	border-radius : 5px;
}

@media screen and (max-width : 768px){
	.carte-cartel-display iframe{
		width : 100%;
		height : 400px;
	}
}

/****************/
/*** Timeline ***/
/****************/
.evenement-text{
	width : 100%;
	margin : 0;
	padding : 0;
	display : flex;
	align-items : center;
	justify-content : center;
}


.evenement-text h1{
	font-size : 3rem;
	font-weight : bold;
}

@media screen and (max-width : 768px){
	.evenement-text h1{
		font-size : 1.5rem;
	}
}

.container-style{
	padding : 2rem 0;
	margin : 0;
	max-width : 100%;
	display : flex;
	align-items : center;
	justify-content : center;
}

#evenement{
	display : flex;
	flex-direction : column;
	width : 100%;
	margin : 0;
	padding : 0;
	align-items : center;
	justify-content : center;
}

.timeline{
	position : relative;
	background-image : url("../MEDIA/cartel-background2.jpg");
	background-size : cover;
	background-position : center;
	background-attachement : fixed;
	max-width: 100%;
    margin: 0 auto;
    padding: 20px 0;
}
 
.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: #ccc;
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left : -5px;
}

.event {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
   	width: 50%;
}

.event::after {
    content: '';
    position: absolute;
    width: 20px;
    height: 20px;
    border: 4px solid #fff;
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}

.left::after{
	right: -12px;
	background-color: #f37221;
}

.right::after{
	left : -14px;
	background-color: #21f386;
}

.left {
    left: 0;
}

.right{
	left: 50%;
}

.content {
    padding: 20px 30px;
    background-color: white;
    position: relative;
    border-radius: 6px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.content h2 {
    margin: 0 0 10px 0;
    color: #f37221;
}

.content img {
    width: 100%;
    border-radius: 4px;
    margin-bottom: 10px;
}

@media screen and (max-width: 600px) {
    .timeline::after {
        left: 31px;
    }

    .event {
        width: 100%;
        padding-left: 70px;
        padding-right: 25px;
    }

    .event::after {
      	left: 19px;
    }

    .left::after, .right::after {
        left: 15px;
    }

    .right {
        left: 0%;
    }
}

/*****************/
/*** Activites ***/
/*****************/
#activites{
	width : 100%;
	margin : 0;
	padding : 0;
	display : flex;
	flex-direction : column;
	align-items : center;
	justify-content: center;
}

.activites-text{
	display : flex;
	justify-content : center;
	align-items : center;
}

.activites-text h1{
	font-size : 3rem;
	font-size : bold;
}

@media screen and (max-width : 768px){
	.activites-text h1{
		font-size : 1.5rem;
	}
}

.activites-display{
	display : flex;
	justify-content : center;
	align-items : center;
}

/*******************/
/*** Delegations ***/
/*******************/
#ecoles_invitees{
	width : 100%;
	margin : 0;
	padding : 0;
	display : flex;
	flex-direction : column;
	align-items : center;
	justify-content : center;
}

.ecoles-text{
	width : 100%;
	margin : 0;
	padding : 0;
	display : flex;
	flex-direction : row;
	align-items : center;
	justify-content : center;
}

.ecoles-text h1{
	font-size : 3rem;
	font-weight : bold;
}

@media screen and (max-width : 768px){
	.ecoles-text h1{
		font-size : 1.5rem;
	}
}

.ecoles-display ul{
	width : 100%;
	margin : 0;
	padding : 0;
	display : flex;
	flex-direction : row;
	flex-wrap : wrap;
	align-items : center;
	justify-content : center;
}

.ecoles-display ul li{
	width : 300px;
	height : 300px;
	list-style : none;
	text-decoration : none;
	border : 1px solid #000000;
	margin : 1rem;
	border-radius : 0.5rem;
}

.ecoles-display ul li a {
    position: relative;
    width : 100%;
    heigth : 100%;
    padding : 0;
    margin : 0;
    overflow: hidden;
}

.ecoles-display ul li a img {
	width : 100%;
	height : 100%;
	object-fit : cover;
}

.overlay {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(0, 0, 0, 0.7);
	color: white;
	text-align: center;
	padding: 10px;
	transform: translateY(100%);
	transition: transform 0.3s ease;
	display : none;
}

.ecoles-display ul li a:hover .overlay {
    transform: translateY(0);
    display : block;
}